Skip to main content
GET
/
cfs-contacts
/
{contact_id}
Get One Contact
curl --request GET \
  --url https://api.swoogo.com/api/v1/cfs-contacts/{contact_id} \
  --header 'Authorization: Bearer <token>'
{
  "company": "company name",
  "contact_id": 1,
  "created_at": "2022-01-26 14:26:46",
  "email": "user@domain.com",
  "event_id": 11,
  "first_name": "firstname",
  "id": 37,
  "job_title": "jobtitle",
  "last_name": "lastname",
  "prefix": "",
  "reviewer": true,
  "reviewer_role": "all_access",
  "submitter": true,
  "updated_at": "2022-01-26 14:26:46"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

contact_id
integer
required

integer - required - The ID of the contact you want to retrieve

Example:

1

Query Parameters

fields
string
required

string - optional - Comma separated list of fields you want to return

Example:

"id,language,created_at,contact_id,reviewer,submitter,event_id,updated_at"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

"event"

Response

Get A Contact's Details

company
string
Example:

"company name"

contact_id
number
Example:

1

created_at
string
Example:

"2024-01-26 14:26:46"

email
string
Example:

"user@domain.com"

event_id
number
Example:

11

first_name
string
Example:

"firstname"

id
number
Example:

37

job_title
string
Example:

"jobtitle"

last_name
string
Example:

"lastname"

prefix
string
Example:

""

reviewer
boolean
Example:

true

reviewer_role
string
Example:

"all_access"

submitter
boolean
Example:

true

updated_at
string
Example:

"2022-01-26 14:26:46"